## Class TOutputCacheCheckDependencyEventParameter

Description

TOutputCacheCheckDependencyEventParameter class

TOutputCacheCheckDependencyEventParameter encapsulates the parameter data for OnCheckDependency event of TOutputCache control.

- since: 3.0
- version: $Id: TOutputCache.php 2123 2007-08-16 12:14:53Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TOutputCache.php (line 509)

    TComponent
       |
       --TEventParameter
          |
          --TOutputCacheCheckDependencyEventParameter

Method Summary
integer getCacheTime ()
boolean getIsValid ()
void setCacheTime (integer $value)
void setIsValid (boolean $value)
Methods
getCacheTime (line 534)

- return: the timestamp of the cached result. You may use this to help determine any dependency is changed.
- access: public
- since: 3.1.1

integer getCacheTime ()
getIsValid (line 517)

- return: whether the dependency remains valid. Defaults to true.
- access: public

boolean getIsValid ()
setCacheTime (line 543)

- access: public
- since: 3.1.1

void setCacheTime (integer $value)

- integer $value: the timestamp of the cached result. This is used internally.

setIsValid (line 525)

- access: public

void setIsValid (boolean $value)

- boolean $value: whether the dependency remains valid

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:44 -0400 by phpDocumentor 1.3.0RC4